
/* ?@ ____________ cart items css start ____________@? */

.table__wrapper{
   padding-top: 10px;
   padding-bottom: 30px;
}

.table__wrapper table {
        border-collapse: collapse;
        width: 100%;
    }

    .table__wrapper table,
    .table__wrapper tr,
    .table__wrapper td,
    .table__wrapper th {
        width: 100%;
    }

    .table__wrapper table thead {
        display: none;
    }

    .table__wrapper table thead tr,
    .table__wrapper table tbody tr {
        padding-left: 114px;
        display: flex;
        flex-direction: column;
        background-color: #fff;
    }

    .table__wrapper table thead th {
        font-size: 13px;
        line-height: 18px;
        font-weight: 400;
        color: #121212;
        text-transform: uppercase;
    }

    /* tbody */
    .table__wrapper tbody tr {
        padding: 20px 0;
        /* box-shadow: 0 1px 0 0 #ebebeb; */
        position: relative;
    }
    .table__wrapper tbody tr{
        border-bottom: 1px solid #ebebeb;
    }

    .table__wrapper tbody td:not(:last-child) {
        border-bottom: 1px dotted #dddddd;
    }

    .table__wrapper tbody td:first-child {
        border-bottom: unset;
    }

    .table__wrapper tbody .line__item_remove .remove__btn {
        position: absolute;
        right: 0;
        top: 20px;
        display: flex;
    }

    /* product image */

    .table__wrapper tbody .line__item_img {
        position: absolute;
        left: 0;
    }

    .table__wrapper tbody .line__item_img img {
        width: 100px;
        height: 133px;
        display: block;
        object-fit: cover;
    }

    /* product info */

    .table__wrapper tbody .line__item_info .line__item_title,
    .table__wrapper tbody .line__item_info .line__item_variant {
        font-size: 12px;
        line-height: 20px;
        font-weight: 400;
    }

    .table__wrapper tbody .line__item_info .line__item_title {
        color: #121212;
        width: calc(100% - 15%);
    }

    .table__wrapper tbody .line__item_info .line__item_variant {
        color: #868686;
    }

    .table__wrapper .line__item_price__inner,
    .table__wrapper .line__item_quantity__inner,
    .table__wrapper .line__item_total__price_inner {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 8px 0;
    }

    .table__wrapper .line__item_price__inner .price__title,
    .table__wrapper .line__item_quantity__inner .quantity__title,
    .table__wrapper .line__item_total__price_inner .total__price_title,
    .table__wrapper .line__item_price__inner .item__price,
    .table__wrapper .line__item_total__price_inner .item__total_price {
        font-size: 11px;
        line-height: 18px;
        font-weight: 400;
        color: #121212;
    }

    .table__wrapper .quantity__box {
        width: 83px;
        height: 36px;
        display: flex;
        border: 1px solid #ececec;
    }

    .table__wrapper .quantity__controll {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 23px;
        height: 100%;
        outline: none;
        background-color: transparent;
        border: none;
    }

    .table__wrapper .quantity__controll svg {
        display: flex;
    }

    .table__wrapper .quantity__count {
        border: none;
        text-align: center;
        background-color: transparent;
        border-left: 1px solid #ececec;
        border-right: 1px solid #ececec;
        width: calc(100% - 46px);
        outline: none;
    }

.table__wrapper .line__item_edit {
    display: flex;
    margin-bottom: 5px;
    margin-top: 3px;
}


/* ?@ ____________ cart items css end ____________@? */




/* ?@ ____________ items checkout area css start ____________@? */

.cart__page_template .item__checkout_area{
    display: flex;
    flex-direction: column;
    gap: 20px;
    /* justify-content: space-between; */
    margin-bottom: 50px;
}

.cart__page_template .order__note_title{
    font-size: 12px;
    line-height: 20px;
    font-weight: 400;
    color:#121212;
    text-transform: uppercase;
    margin-bottom: 10px;
}

.cart__page_template .textarea__control{
    font-size: 12px;
    line-height: 20px;
    font-weight: 400;
    color:#868676;
    padding: 10px;
    border: 1px solid #CCCCCC;
    outline: none;
    width: 100%;
    height: 120px;
}


.cart__page_template .item__checkout .subtotal__price {
  display: flex;
  justify-content: center;
  gap: 10px;
  margin-bottom: 12px;
  margin-top: 22px;
}
.cart__page_template .item__checkout .subtotal__price p,
.cart__page_template .item__checkout .subtotal__price span {
  font-size: 14px;
  line-height: 22px;
  font-weight: 500;
  color: #333333;
  display: block;
}

.cart__page_template .item__checkout .total__calculated_val {
  font-size: 12px;
  line-height: 20px;
  font-weight: 400;
  color: #333333;
  text-align: center;
}
.cart__page_template .item__checkout .check__conditions {
   width: 260px;
   margin: 12px auto;
}

/* custom checkbox  css start */

.cart__page_template .item__checkout .checkbox__container {
  display: block;
  position: relative;
  padding-left: 23px;
  font-size: 12px;
  line-height: 20px;
  font-weight: 400;
  color: #333;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.cart__page_template .item__checkout .checkbox__container input {
  position: absolute;
  opacity: 0;
  height: 0;
  width: 0;
}

.cart__page_template .item__checkout .checkmark {
  position: absolute;
  top: 2px;
  left: 0;
  height: 16px;
  width: 16px;
  background-color: #ccc;
}

.cart__page_template .item__checkout .checkbox__container input:checked ~ .checkmark {
  background-color: #333333;
}

.cart__page_template .item__checkout .checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

.cart__page_template .item__checkout .checkbox__container input:checked ~ .checkmark:after {
  display: block;
}

.cart__page_template .item__checkout .checkbox__container .checkmark:after {
  left: 5px;
  top: 2px;
  width: 4px;
  height: 8px;
  border: solid white;
  border-width: 0 2px 2px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

/* custom checkbox  css end */

/* btn */
.cart__page_template .item__checkout .ecommerce__btn_groups {
    margin-top: 20px;
}
.checkout__btn_wrapper{
    max-width: 240px;
    margin: auto;
}
.cart__page_template .item__checkout .btn{
    display: flex;
    align-items: center;
    justify-content: center;
}
.cart__page_template .item__checkout .checkout__btn {
  font-size: 12px;
  line-height: 22px;
  font-weight: 600;
  background-color:#121212;
  color: #fff;
  border: none;
  width: 100%;
  height: 36px;
  padding: 0px 90px;
}

/* ?@ ____________ items checkout area css end ____________@? */

/* loader */
.loader_wrapper {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.loader {
    width: 50px;
    aspect-ratio: 1;
    display: grid;
}

.loader::before,
.loader::after {
    content: "";
    grid-area: 1/1;
    --c: no-repeat radial-gradient(farthest-side, #25b09b 92%, #0000);
    background:
        var(--c) 50% 0,
        var(--c) 50% 100%,
        var(--c) 100% 50%,
        var(--c) 0 50%;
    background-size: 12px 12px;
    animation: l12 1s infinite;
}

.loader::before {
    margin: 4px;
    filter: hue-rotate(45deg);
    background-size: 8px 8px;
    animation-timing-function: linear
}

@keyframes l12 {
    100% {
        transform: rotate(.5turn)
    }
}


@media (min-width: 724px) {

    /* ?@ ____________ cart items css start ____________@? */

    .table__wrapper tbody .line__item_info .line__item_title,
    .cart__page_template .gift__wrap .gift_wrap__btn,
    .cart__page_template .item__checkout .total__calculated_val,
    .cart__page_template .item__checkout .checkbox__container{
        font-size: 14px;
        line-height: 22px;
    }

    /* ?@ ____________ cart items css end ____________@? */

    .cart__page_template .gift__wrap_heading p,
    .cart__page_template .gift__wrap_form .input__wrapper .label {
        font-size: 13px;
    }
}

@media (min-width: 972px) {

/* ?@ ____________ cart items css start ____________@? */

    .table__wrapper{
        padding-top: 50px;
    }

    .table__wrapper table thead th,
    .table__wrapper table tbody td {
        box-shadow: unset;
    }

    .table__wrapper tbody tr {
        box-shadow: unset;
        padding: 0;
    }

    .table__wrapper table,
    .table__wrapper td,
    .table__wrapper th {
        border: 1px solid #ddd;
    }

    .table__wrapper tbody td:last-child {
        border-bottom: unset;
    }

    .table__wrapper tbody tr td {
        padding: 20px;
    }

    .table__wrapper .line__item_remove {
        width: 45px;
    }

    .table__wrapper .line__item_info {
        width: 390px;
    }

    .table__wrapper .line__item_price {
        width: 187px;
    }

    .table__wrapper .line__item_quantity {
        width: 150px;
    }

    .table__wrapper .line__item_total__price {
        width: 200px;
    }

    /* thead */

    .table__wrapper table thead {
        display: contents;
    }

    .table__wrapper table thead tr,
    .table__wrapper table tbody tr {
        padding-left: 0;
        display: table-row;
    }

    .table__wrapper table thead tr th {
        padding: 17px 15px;
    }

    .table__wrapper table thead tr th:first-child,
    .table__wrapper table tbody tr td:first-child {
        padding: 15px;
    }

    /* tbody */
    .table__wrapper tbody .line__item_img,
    .table__wrapper tbody .line__item_remove .remove__btn {
        position: unset;
    }

    .table__wrapper tbody .line__item_info__inner {
        display: flex;
        gap: 15px;
    }

    .table__wrapper .line__item_price__inner,
    .table__wrapper .line__item_quantity__inner,
    .table__wrapper .line__item_total__price_inner {
        justify-content: center;
        padding: 0;
    }

    .table__wrapper .line__item_price__inner .price__title,
    .table__wrapper .line__item_quantity__inner .quantity__title,
    .table__wrapper .line__item_total__price_inner .total__price_title {
        display: none;
    }

    .table__wrapper .line__item_price__inner .item__price,
    .table__wrapper .line__item_total__price_inner .item__total_price {
        font-size: 13px;
    }

    .table__wrapper .quantity__box {
        height: 40px;
    }

    .table__wrapper tbody .line__item_info .line__item_title{
        width: 100%;
    }

    /* ?@ ____________ cart items css end ____________@? */




    /* ?@ ____________ items checkout area css start ____________@? */

.cart__page_template .item__checkout_area{
    gap: 100px;
    flex-direction: row;
    justify-content: space-between;
    margin-bottom: 70px;
}

.cart__page_template .add__order_note{
    width: 450px;
}

.cart__page_template .order__note_title{
    font-size: 13px;
    line-height: 22px;
}

.cart__page_template .textarea__control{
    font-size: 13px;
    line-height: 22px;
}

/* btn */
.cart__page_template .item__checkout .ecommerce__btn_groups {
    margin-top: 24px;
}
.checkout__btn_wrapper{
    max-width: 250px;
    margin-left: auto;
    margin-right: 0;
}
.cart__page_template .item__checkout .checkout__btn {
  font-size: 14px;
  line-height: 22px;
}
.cart__page_template .item__checkout .subtotal__price p,
.cart__page_template .item__checkout .subtotal__price span {
  font-size: 18px;
  line-height: 26px;
}
.cart__page_template .item__checkout .checkout__btn{
    height: 40px;
}
.cart__page_template .item__checkout .subtotal__price{
    justify-content: flex-end;
}
.cart__page_template .total__calculated_val{
    text-align: right;
}
.cart__page_template .item__checkout .check__conditions{
    width: 100%;
    display: flex;
    justify-content: flex-end;
}
/* ?@ ____________ items checkout area css end ____________@? */



    
}


@media(min-width:1024px){
    .table__wrapper .quantity__controll,
    .cart__page_template .ecommerce__btn_groups .btn,
    .table__wrapper tbody .line__item_remove .remove__btn {
        cursor: pointer;
    }
}


@media (min-width: 1440px) {


    /* ?@ ____________ cart items css start ____________@? */

    .container.cart__container {
        width: 1410px;
    }

    .table__wrapper .line__item_info {
        width: 618px;
    }

    .table__wrapper .line__item_price {
        width: 254px;
    }

    .table__wrapper .line__item_quantity {
        width: 314px;
    }

    .table__wrapper .line__item_total__price {
        width: 178px;
    }

 /* ?@ ____________ cart items css end ____________@? */



/* ?@ ____________ items checkout area css start ____________@? */


    .cart__page_template .add__order_note{
        width: 670px;
    }


/* ?@ ____________ items checkout area css end ____________@? */
}